; loader.s

.module game_loader_exec

.globl _game_loader_exec
; void game_loader_exec( ushort bank_addr );

.area _CODE

_game_loader_exec:

; GOAL :
; read bank_addr (0xffe0 to 0xfffe to change the bank)
; jump to 0x0000 (reboot)

; get the bank_addr on the stack
	ld	ix, #0
	add	ix, sp
	ld	c,2 (ix)
	ld	b,3 (ix)

;  ld a,(bc)
; bc contient la bank_addr

; code a executer maintenant sur la pile
;
; 0x0a            - ld a,(bc)
; 0xc3 0x00 0x00  - jp 0x0000

; on met le code a executer sur la pile

  ld de, #0x0000
  push de
  ld de, #0xc30a
  push de

; execute le code sur la pile
  ld hl,#0x0000
  add hl,sp
  jp (hl)

